mcv(1)

NAME
mcv - mesh file converter

SYNOPSIS
mcv [options] [imfile] [omfile] [oxfile]

DESCRIPTION
The mcv program converts Scotch mesh files from and to other external file formats.

File imfile is converted into mesh file omfile, with optional geometry data being put in geometry file oxfile, if it is available.

When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, mcv can directly handle compressed meshes, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.msh.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma', on input only).

OPTIONS

-h  Display some help.

-iifmt
    Set format of input mesh file, which can be:

    bnum
        Boeing-Harwell format. This is an elemental matrix format. Only square matrices are supported. In case the file contains several matrices, the num parameter allow the user to provide the index of the matrix to convert, starting from 0. When the num parameter is not set, it is assumed to be 0.

    s   Scotch mesh format.

-oofmt
    Set format of output mesh file, which can be:

    s   Scotch mesh format. This is the only possible choice at the time being.

-V  Display program version and copyright.

EXAMPLE
Convert a Harwell-Boeing elemental mesh into a Scotch mesh.

    $ mcv -ib brol.hb brol.msh

SEE ALSO
mtst(1), mord(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>